---
title: RTCRemoteOutboundRtpStreamStats.reportsSent
slug: Web/API/RTCRemoteOutboundRtpStreamStats/reportsSent
tags:
  - API
  - Property
  - RTCP
  - RTCRemoteOutboundRtpStreamStats
  - RTP
  - Reference
  - SR
  - Sender Reports
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - reportsSent
  - sender
---
<p>{{APIRef("WebRTC")}}</p>

<p>The {{domxref("RTCRemoteOutboundRtpStreamStats")}} dictionary's <code><strong>reportsSent</strong></code> property provides the number of Sender Reports (SRs) the remote peer has transmitted to the local peer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>reportCount</em> = <em>rtcRemoteOutboundRtpStreamStats</em>.reportsSent;</pre>

<h3 id="Value">Value</h3>

<p>An integer value which indicates the total number of RTCP Sender Reports so far sent by the remote peer to the local peer.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>Sender reports, described in {{RFC(3550, "", "6.4.1")}} with an overview in {{RFC(3550, "", "6.4")}}, are used by RTP to share data transmission quality feedback between the two peers. The data in these reports is used by WebRTC to fill out various fields within the statistics objects, and this property's value indicates how many times that information was shared.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRemoteOutboundRtpStreamStats.reportsSent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{RFC(3550, "RTP: A Transport Protocol for Real-Time Applications", "6.4")}}</li>
 <li>The {{domxref("RTCRemoteinboundRtpStreamStats")}} property {{domxref("RTCRemoteinboundRtpStreamStats.reportsReceived", "reportsReceived")}}; the number of RTCP Receiver Report (RR) records received from the remote peer</li>
</ul>
